{% extends "layout.html.j2" %}

{% block page_title %}Buch {{ book.name }}{% endblock %}

{% block main %}
<section class="hero is-primary">
  <div class="hero-body">
    <div class="container">
      <h1 class="title">#{{ book.id }} {{ book.long_name }} ({{ book.abbr }})</h1>
    </div>
    <div class="container">
      <p>Reserviert von: {{ book.author | default("<em>niemand</em>" | safe ) }}</p>
    </div>
  </div>
</section>
<section class="section">
  <div class="container">
    <form method="post" action="/pericopes">
      <input type="hidden" name="book_id" value="{{ book.id }}" />
      <table class="table is-fullwidth is-hoverable">
        <thead>
          <tr>
            <th style="width: 3em;">ID</th>
            <th colspan="3">Verse</th>
            <th style="widht: 100%;">Titel</th>
            <th class="has-text-centered">Level</th>
            <th>Beschriftungen</th>
            <th>Autor</th>
            <th>Erstellt am</th>
            <th>Gruppe</th>
          </tr>
        </thead>
        <tbody>
          {% for pericope in pericopes %}
            <tr>
              <td>
                <span class="pericope-id">{{ pericope.pericope_id }}</span>
              </td>
              <td colspan="2">
                {{ pericope.verse_start }}
                &ndash;
                {{ pericope.verse_end }}
              </td>
              <td>
                <a href="{{ pericope.bibleserver_url }}" title="Auf bibleserver.com lesen">
                  <svg class="icon"><use xlink:href="#reading" /></svg>
                </a>
              </td>
              <td>{{ pericope.title }}</td>
              <td class="has-text-centered has-text-weight-bold">
                {% set level_modifiers = {'1': 'is-link', '2': 'is-info', '3': 'is-primary', '4': 'is-success', '5': 'is-warning'} %}
                <span class="tag is-rounded {{ level_modifiers[pericope.level] }}">{{ pericope.level }}</span>
              </td>
              <td>
                <div class="tags">
                  {% for label in pericope.labels %}
                    <span class="tag">{{ label }}</span>
                  {% endfor %}
                </div>
              </td>
              <td>{{ pericope.author }}</td>
              <td>{{ pericope.created_at | date("%Y-%m-%d %H:%M") }}</td>
              <td>
                {% set group = pericope.group %}
                {% if group %}
                  <a href="/groups/{{ group.id }}">{{ group.name }}</a>
                {% endif %}
              </td>
            </tr>
          {% else %}
            <tr>
              <td></td>
              <td colspan="9"><em>Keine Einträge</em></td>
            </tr>
          {% endfor %}
        </tbody>
        <tfoot>
          <tr>
            <td></td>
            <th colspan="9">Neuer Eintrag</th>
          </tr>
          <tr>
            <td class="field">
              <label class="label">&nbsp;</label>
              <div class="control">
                <span class="control-text has-text-right">
                  <span class="pericope-id">{{ book.abbr }}_p{{ pericopes | length + 1}}</span>
                </span>
              </div>
            </td>
            <td class="field" colspan="3">
              <label class="label">Startvers</label>
              <div class="control">
                <input class="input" type="text" name="verse_start" size="5" required pattern="\d+,\d+" title="Startvers" autofocus>
                <p class="help">z.B. <em>1,1</em></p>
              </div>
              <label class="label">Endvers</label>
              <div class="control">
                <input class="input" type="text" name="verse_end" size="5" required pattern="\d+,\d+" title="Endvers">
                <p class="help">z.B. <em>1,10</em></p>
              </div>
            </td>
            <td class="field">
              <label class="label">Titel</label>
              <div class="control">
                <input class="input" type="text" name="title" required title="Titel">
                <p class="help">z.B. <em>Erster Tag</em></p>
              </div>
            </td>
            <td class="field">
              <label class="label">Level</label>
              <div class="control">
                <input class="input" type="number" name="level" size="1" required min="1" max="5" title="Schwierigkeit">
                <p class="help">z.B. <em>1</em></p>
              </div>
            </td>
            <td class="field">
              <label class="label">Beschriftungen</label>
              <div class="control">
                <input class="input" type="text" name="labels" required title="Beschriftungen">
                <p class="help">z.B. <em>Schöpfung, Pentateuch</em></p>
              </div>
            </td>
            <td class="field">
              <label class="label">&nbsp;</label>
              <div class="control">
               <span class="control-text">{{ current_user }}</span>
              </div>
            </td>
            <td class="field" colspan="2">
              <label class="label">&nbsp;</label>
              <div class="control">
                <input class="button is-primary" type="submit" value="Eintragen" />
              </div>
            </td>
          </tr>
        </tfoot>
      </table>
    </form>
  </div>
</section>
<section class="section">
  <div class="container">
    Bestehende Beschriftungen:
    <div class="tags">
      {% for label in all_labels %}
        <span class="tag">{{ label["label"] }}</span>
      {% endfor %}
    </div>
  </div>
</section>
<style>
.control-text {
  display: block;
  height: 2.5em;
  line-height: 1.5;
  padding-bottom: calc(0.5em - 1px);
  /*padding-left: calc(0.75em - 1px);
  padding-right: calc(0.75em - 1px);*/
  padding-top: calc(0.5em - 1px);
  position: relative;
  vertical-align: top;
}
</style>
{% endblock %}
